View Issue Details

IDProjectCategoryView StatusLast Update
0005865Talermerchant frontend (blog)public2020-09-10 19:37
ReporterFlorian Dold Assigned ToMS  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0005865: refund should only be offered when it is actually possible to refund
DescriptionCurrently the frontend doesn't check if refund is actually still possible, or if the refund deadline for the article expired.

In /check-payment, the backend should probably tell the frontend with an easy flag if refund is still possible.
TagsNo tags attached.

Activities

MS

2020-09-08 12:35

manager   ~0016916

Current API (*) offered by the backend has "GET /private/orders", whose response includes a "refundable" (boolean) field associated with each order known to the system.

(*) fe484bad864cd1a0a6600908a84a6924bb0d2a95 at docs.git

MS

2020-09-08 15:19

manager   ~0016923

After internal discussion, we agreed that the blog should not ask for the orders history and parse the results just to fetch the "refundable" field.

Instead, it should ask the "/private/orders/$ORDER_ID" and check the "refunded" field + the refund expiration date in order to understand if one order is still refundable.

MS

2020-09-10 19:37

manager   ~0016961

Fixed here: 99834a0c78e167c203e17ad09fd966100495a207.

Issue History

Date Modified Username Field Change
2019-08-31 11:13 Florian Dold New Issue
2020-07-16 15:22 Christian Grothoff Assigned To => MS
2020-07-16 15:22 Christian Grothoff Status new => assigned
2020-09-05 13:53 Christian Grothoff Severity minor => tweak
2020-09-08 12:35 MS Note Added: 0016916
2020-09-08 15:19 MS Note Added: 0016923
2020-09-10 19:37 MS Note Added: 0016961
2020-09-10 19:37 MS Status assigned => resolved
2020-09-10 19:37 MS Resolution open => fixed